### Method

# Camel DataWrapper calculate_size_sync

since: 3.24

#### Declaration [src]

    gsize
    camel_data_wrapper_calculate_size_sync (
      CamelDataWrapper* data_wrapper,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Calculates size of the `data_wrapper` by saving it to a null-stream and returns how many bytes had been written. It’s using `camel_data_wrapper_write_to_stream_sync()` internally.

Available since: 3.24

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gsize`

How many bytes the `data_wrapper` would use when saved, or -1 on error.